Name: audacity
Version: 1.2.3
Release: alt1.1.1

Summary: Cross-platform audio editor
Summary(ru_RU.CP1251):   
License: GPL
Group: Sound
Url: http://audacity.sourceforge.net/
Packager: Andrey Astafiev <andrei@altlinux.ru>

Source0: %name-src-%version.tar.bz2
Source1: %name.menu
Source2: %name-48x48.xpm
Source3: %name-32x32.xpm
Source4: %name-16x16.xpm
Source5: %name-ru.po
Source6: %name-1.2-help-ru.htb
Patch1: %name-src-1.1.3-alt-use_zlib_in_configure.patch
Patch2: %name-src-1.2.3-alt-liblame_name.patch

# Automatically added by buildreq on Sun Nov 21 2004
BuildRequires: gcc-c++ gtk+ hostinfo libflac++-devel libflac-devel
BuildRequires: libid3tag-devel libmad-devel libogg-devel libsamplerate-devel
BuildRequires: libsndfile-devel libstdc++-devel libvorbis-devel wxGTK-devel
BuildRequires: xorg-x11-libs zip zlib-devel

%description
Audacity is a program that lets you manipulate digital audio waveforms.
It imports many sound file formats, including WAV, AIFF, AU, IRCAM,
MP3, and Ogg Vorbis. It supports all common editing operations such
as Cut, Copy, and Paste, plus it will mix tracks and let you apply
plug-in effects to any part of a sound.

%description -l ru_RU.CP1251
Audacity -   ,    
  WAV, AIFF, AU, IRCAM, MP3  Ogg Vorbis.   
  ,   , , ,
    ,    ,
    .

%prep
%setup -q -n %name-src-%version
%patch1 -p1
%patch2 -p1
%__cp -f %SOURCE5 locale/ru.po

%build
%define __autoconf autoconf_2.5
%__autoconf
%configure --with-help \
	--with-ladspa=yes \
	--with-libflac=system \
	--with-libresample=yes \
	--with-libmad=system \
	--with-vorbis=system \
	--with-id3tag=system \
	--with-libsndfile=system \
	--with-portaudio=v18
#NO_SMP
%make

%install
%makeinstall DESTDIR=%buildroot
%__install -pD -m644 %SOURCE1 %buildroot%_menudir/%name
%__install -pD -m644 %SOURCE2 %buildroot%_liconsdir/%name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_iconsdir/%name.xpm
%__install -pD -m644 %SOURCE4 %buildroot%_miconsdir/%name.xpm
%__install -pD -m644 %SOURCE6 %buildroot%_datadir/%name/%name-1.2-help-ru.htb

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc *.txt
%exclude %_docdir/%name
%_bindir/*
%_menudir/*
%_mandir/man?/*
%_iconsdir/*.xpm
%_liconsdir/*
%_miconsdir/*
%_datadir/%name

%changelog
* Tue Feb 22 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.2.3-alt1.1.1
- Rebuilt with libflac-1.1.2-alt1

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.2.3-alt1.1
- Rebuilt with libstdc++.so.6.

* Sun Nov 21 2004 Andrey Astafiev <andrei@altlinux.ru> 1.2.3-alt1
- 1.2.3

* Thu Sep 02 2004 Andrey Astafiev <andrei@altlinux.ru> 1.2.2-alt1
- 1.2.2

* Fri Jun 25 2004 Andrey Astafiev <andrei@altlinux.ru> 1.2.1-alt2
- Updated patch from help file location.

* Wed May 12 2004 Andrey Astafiev <andrei@altlinux.ru> 1.2.1-alt1
- 1.2.1

* Tue Apr 13 2004 Andrey Astafiev <andrei@altlinux.ru> 1.2.0-alt2
- Updated russian translation.
- Added russian help.
- Fixed build with SoundTouch for gcc 3.3.3.

* Wed Mar 10 2004 Andrey Astafiev <andrei@altlinux.ru> 1.2.0-alt1
- 1.2.0

* Sat Feb 14 2004 Andrey Astafiev <andrei@altlinux.ru> 1.2.0-alt0.9
- 1.2.0-pre4

* Fri Nov 14 2003 Andrey Astafiev <andrei@altlinux.ru> 1.2.0-alt0.8
- 1.2.0-pre3
- Fixed build on SMP systems.

* Tue Oct 07 2003 Andrey Astafiev <andrei@altlinux.ru> 1.2.0-alt0.7
- 1.2.0-pre2

* Sun Sep 28 2003 Andrey Astafiev <andrei@altlinux.ru> 1.2.0-alt0.6
- 1.2.0-pre2 testing tarball.

* Sun Sep 14 2003 Andrey Astafiev <andrei@altlinux.ru> 1.2.0-alt0.3
- 1.2.0-pre1

* Wed Jun 25 2003 Andrey Astafiev <andrei@altlinux.ru> 1.1.3-alt3
- Fixed unmet: now requires wxGTK >= 2.4.1.

* Fri Jun 20 2003 Andrey Astafiev <andrei@altlinux.ru> 1.1.3-alt2
- Rebuilt with new wxGTK.

* Fri Mar 21 2003 Andrey Astafiev <andrei@altlinux.ru> 1.1.3-alt1
- 1.1.3

* Sun Mar 16 2003 Andrey Astafiev <andrei@altlinux.ru> 1.1.3-alt0.4
- Rebuilt with libid3tag package.

* Fri Mar 07 2003 Andrey Astafiev <andrei@altlinux.ru> 1.1.3-alt0.2
- Developers branch snapshot (CVS 20030306).
- Temprorary without libsamplerate.

* Wed Mar 05 2003 Andrey Astafiev <andrei@altlinux.ru> 1.0.0-alt6
- Rebuild with wxGTK-2.4.0

* Fri Feb 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt5
- Rebuild with new id3lib (3.8.2)

* Fri Nov 15 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt4
- Rebuild with new id3lib (3.8.1)

* Wed Nov 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt3
- Rebuild, system id3lib used.

* Wed Jul 31 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0.0-alt2.1
- rebuild with new vorbis

* Mon Jun 24 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0.0-alt2
- Fixed intersection with basesystem.

* Fri Jun 7 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0.0-alt1
- 1.0.0

* Mon May 27 2002 Andrey Astafiev <andrei@altlinux.ru> 1.1-alt0.1.cvs
- cvs snapshot 20020527 of 1.1.x unstable branch especially for Daedalus.

* Wed Feb 13 2002 Andrey Astafiev <andrei@altlinux.ru> 0.99-alt0.1.pre1
- cvs snapshot 20020213 with several bugfixes.
- relocated help.

* Tue Feb 12 2002 Andrey Astafiev <andrei@altlinux.ru> 0.98-alt2
- rebuild with wxGTK 2.2.x branch.

* Fri Feb 01 2002 Andrey Astafiev <andrei@altlinux.ru> 0.98-alt1
- 0.98.

* Tue Jan 08 2002 Andrey Astafiev <andrei@altlinux.ru> 0.97-alt2
- Fixed group tag.

* Thu Oct 11 2001 Andrey Astafiev <andrei@altlinux.ru> 0.97-alt1
- First version of RPM package.
